#!/usr/bin/env python

import sys
import os

os.system("edje_cc ./data/theme/sudoku.edc -id ./data/theme/image/ -fd ./data/theme/fonts/")

from ez_setup import use_setuptools
use_setuptools('0.6c3')

from setuptools import setup, find_packages, Extension
from distutils.sysconfig import get_python_inc
from glob import glob
import commands

dist = setup(name='pyefl-sudoku',
    version='0.02',
    author='Erin Yueh',
    author_email='erin_yueh@openmoko.com',
    description='sudoku puzzle game by python efl',
    url='http://projects.openmoko.org/projects/pyefl-sudoku/',
    download_url='http://projects.openmoko.org/scm/?group_id=157',
    license='GNU GPL',
    package_dir={'':'src'},
    packages=['sudoku'],
    scripts=['src/sudoku_ui.py'],
    install_requires=['python-evas>=0.2.1'],
    setup_requires=['python-evas>=0.2.1'],
    data_files=[
    ('pyefl-sudoku/puzzle',['data/puzzle/1000']),    
	('pyefl-sudoku', ['data/theme/sudoku.edj']),
    ('pixmaps',['data/image/pyefl-sudoku.png']),
    ('applications', ['data/pyefl-sudoku.desktop'])
]
)

installCmd = dist.get_command_obj(command="install_data")
installdir = installCmd.install_dir
installroot = installCmd.root

if not installroot:
    installroot = ""

if installdir:
    installdir = os.path.join(os.path.sep,
        installdir.replace(installroot, ""))
